Skip to content
Developers
Actual hours

Upsert actual hours

View Markdown

POST /actual-hours

POST
/actual-hours

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://app.supervisible.com/api/v1/actual-hours" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "userId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",        "projectId": "019cb675-c4d6-7e90-8806-25e5145c3a06",        "capabilityId": null,        "date": "2026-01-06",        "hours": 7      }    ]  }'
{
  "data": [
    {
      "id": "019cb675-c4df-7f8b-8a83-5f28581f5e7f",
      "userId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",
      "projectId": "019cb675-c4d6-7e90-8806-25e5145c3a06",
      "capabilityId": null,
      "date": "2026-01-04",
      "hours": 7,
      "createdAt": "2026-01-06T10:00:00.000Z",
      "updatedAt": "2026-01-06T10:00:00.000Z"
    }
  ]
}
Empty
Empty
Empty
Empty
Empty
Empty